summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-05-04 12:34:03 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-05-04 12:34:03 +0200
commit0f90e70e9f8a12cb05ae050e806b333b9b1ab59c (patch)
treed9ca730df7d3945872c1cae7ead45794cdcbdf87 /scripts/scan-pkgs.sh
parent3acc20917b0148e90392d670c84dc86de1c2b15a (diff)
parentfaf5c7fbb379f35fe61ba1c164d7fab00096f525 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index b267b61e6..7d94f5976 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -104,6 +104,10 @@ if [[ -n $ADK_COMPILE_AUTOMAKE ]]; then
NEED_AUTOCONF="$NEED_AUTOCONF automake"
fi
+if [[ -n $ADK_COMPILE_LIBTOOL ]]; then
+ NEED_AUTOMAKE="$NEED_AUTOMAKE libtool"
+fi
+
if [[ -n $ADK_PACKAGE_SQUID ]]; then
NEED_GXX="$NEED_GXX squid"
fi
@@ -256,6 +260,13 @@ if [[ -n $NEED_AUTOCONF ]]; then
fi
fi
+if [[ -n $NEED_AUTOMAKE ]]; then
+ if ! which automake >/dev/null 2>&1; then
+ echo >&2 You need automake to build $NEED_AUTOMAKE
+ out=1
+ fi
+fi
+
if [[ -n $NEED_INTL ]]; then
if ! which intltool-update >/dev/null 2>&1; then
echo >&2 You need intltool to build $NEED_INTL